Subject: [Fwd: netatalk-1.4b2+asun2.1.4 on Solaris 8 broadcast timeout]

From: Xiaping Lin <[email-masked]>
Date: Thu, 08 Nov 2001 17:09:43 +1000

Hi,

Did not receive any reply, here is it again.

Is it possible that I need to apply some patches to netatalk-1.4b2+asun2.1.4
on Solaris 8 machine.
I have been reading following doc

http://www.mtusysadm.mtu.edu/mtudocs/netatalk/netatalk-combo.html

can anyone tell me which patch I need to apply to fix this problem? Look
like it's
broadcast problem, right?

BTW, what is the difference between asun's source, such as
netatalk-1.4b2+asun2.1.4,  and
netatalk-990130 ?

Looking forward to hearing from you!

Thanks!

Xiaping Lin wrote:

> Hi,
>
> On SUN Enterprise server running Solaris8, I installed the pre-compiled
> abovementioned
> tar ball (solaris8-TCP.tar.gz) of Tim Carlson from
>
> ftp://ftp.santafe.edu/pub/unix/netatalk/
>
> Everything works well, except I can not see the server in Mac's Chooser.
> The server name seems
> dropped out every 13 minutes or so. The server name will show up the
> Chooser if I do "nbplkup".
> I have to do "nbplkup" constently in order to keep server name in the
> Chooser.
>
> The ddp kernel driver seems installed fine. /etc/config, /etc/services,
> etc have been modified according to README file.
>
> Following is the netatalk related syslog messages when machine boots up.
>
> What does "incompatible w/ Solaris STREAMS module." means? Is this the
> problem?
>
> Nov  7 09:56:40 ddp: [ID 772870 kern.info] netatalk 1.4b2+asun2.1.4
> Nov  7 09:57:27 atalkd[1190]: [ID 441591 user.info] plumbed /dev/ge0
> Nov  7 09:57:27 atalkd[1191]: [ID 602610 daemon.info] restart
> (1.4b2+asun2.1.4)
> Nov  7 09:57:27 atalkd[1191]: [ID 430690 daemon.info] setsockopt
> incompatible w/ Solaris ST
> REAMS module.
> Nov  7 09:57:29  last message repeated 1 time
> Nov  7 09:57:29 atalkd[1191]: [ID 875075 daemon.info] zip_getnetinfo for
> ge0
> Nov  7 09:57:47  last message repeated 2 times
> Nov  7 09:57:57 atalkd[1191]: [ID 877925 daemon.info] config for no
> router
> Nov  7 09:57:59 atalkd[1191]: [ID 430690 daemon.info] setsockopt
> incompatible w/ Solaris ST
> REAMS module.
> Nov  7 09:57:59 atalkd[1191]: [ID 128247 daemon.info] ready 0/0/0
> Nov  7 09:58:12 papd[1207]: [ID 602610 lpr.info] restart
> (1.4b2+asun2.1.4)
>
> I don't have SUN C compiler, so, can't compile the ddp kernel drive
> myself.
> Is there any other pre-compiled netatalk for Solaris 8 somewhere that I
> can try out?
>
> Can anyone help me with this problem?
>
> Thanks in advance!
>
> --
> Xiaping Lin